> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cekura.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Predefined Metrics

> List predefined metrics



## OpenAPI

````yaml get /test_framework/v1/predefined-metrics/
openapi: 3.1.0
info:
  title: Cekura API
  version: v1
  description: >-
    Complete API documentation for the Cekura platform. This API provides
    endpoints for testing, observing, and evaluating AI voice agents — including
    managing agents, running evaluators, defining metrics, and analyzing call
    quality.
servers:
  - url: https://api.cekura.ai
security: []
paths:
  /test_framework/v1/predefined-metrics/:
    get:
      tags:
        - test_framework
      description: List predefined metrics
      operationId: predefined-metrics-list
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PredefinedMetric'
          description: ''
      security:
        - api_key: []
components:
  schemas:
    PredefinedMetric:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          description: |-
            Name of the metric.
            Example: 
            - `"Customer Satisfaction"`
            - `"Response Time"`
          maxLength: 255
        description:
          type: string
          description: >-
            Description of what the metric measures.

            Example: `"Measures how satisfied customers are with the service
            provided"`
        code:
          type: string
          readOnly: true
          description: Unique code identifier for the metric
        slug:
          type:
            - string
            - 'null'
          description: URL-friendly unique identifier in snake_case format
          maxLength: 255
        type:
          enum:
            - basic
            - custom_prompt
            - custom_code
            - llm_judge
          type: string
          description: >-
            * `basic` - Basic (Deprecated in favor of LLM Judge)

            * `custom_prompt` - Custom Prompt ( Deprecated in favor of LLM
            Judge)

            * `custom_code` - Custom Code

            * `llm_judge` - LLM Judge
          x-spec-enum-id: b44700c0a6443b40
        eval_type:
          enum:
            - binary_workflow_adherence
            - binary_qualitative
            - continuous_qualitative
            - numeric
            - enum
          type: string
          description: |-
            * `binary_workflow_adherence` - Binary Workflow Adherence
            * `binary_qualitative` - Binary Qualitative
            * `continuous_qualitative` - Continuous Qualitative
            * `numeric` - Numeric
            * `enum` - Enum
          x-spec-enum-id: 1e3e27b342bfd8ec
        audio_enabled:
          type: boolean
          readOnly: true
          description: Whether this metric requires audio analysis
        prompt:
          type: string
          description: Evaluation prompt for the metric
        function_name:
          type:
            - string
            - 'null'
          readOnly: true
          description: Python function name for custom metric evaluation
        enum_values:
          description: List of possible enum values for enum type metrics
        custom_code:
          type: string
          description: Custom evaluation code for the metric
        simulation_enabled:
          type: boolean
          description: |-
            Enable this metric for simulations.
            Example: `true` or `false`
        observability_enabled:
          type: boolean
          description: |-
            Enable this metric for observability.
            Example: `true` or `false`
        configuration:
          description: |-
            Custom configuration parameters for metric.
            Example: ```json
            {
                
            }
            ```
            ```
        cost:
          type: string
          format: decimal
          pattern: ^-?\d{0,4}(?:\.\d{0,6})?$
          readOnly: true
          description: |-
            Cost in credits for evaluating this metric.
            Example: `0.005000`
        evaluation_trigger:
          enum:
            - always
            - automatic
            - custom
          type: string
          x-spec-enum-id: ecd3c02e0e393ef5
          description: |-
            When to trigger this metric evaluation

            * `always` - Always
            * `automatic` - Automatic
            * `custom` - Custom
        evaluation_trigger_prompt:
          type: string
          description: Prompt to determine when to trigger metric evaluation
        category:
          enum:
            - Speech Quality
            - Conversation Quality
            - Accuracy
            - Customer Experience
            - null
          type:
            - string
            - 'null'
          x-spec-enum-id: 27e47be2b5ffc09e
          readOnly: true
          description: |-
            Category of the metric

            * `Speech Quality` - Speech Quality
            * `Conversation Quality` - Conversation Quality
            * `Accuracy` - Accuracy
            * `Customer Experience` - Customer Experience
        sub_category:
          type:
            - string
            - 'null'
          readOnly: true
          description: Sub category of the metric
        organization:
          type:
            - integer
            - 'null'
          readOnly: true
      required:
        - description
        - name
  securitySchemes:
    api_key:
      type: apiKey
      name: X-CEKURA-API-KEY
      in: header
      description: >-
        API Key Authentication. It should be included in the header of each
        request.

````